source util.tcl

#
# display a few geometric objects in a canvas viewport
#

proc smcanvas {cell canvas {cmap new} {visual {truecolor 24}}} {
    set objs [populate $cell];
    cport $cell $canvas $cmap $visual -maxu 30 -minu -30 -maxv 30 -minv -30;
}

#
# display a few geometric objects in a viewport widget
#

proc smviewport {cell view {cmap new} {visual {truecolor 12}}} {
    set objs [populate $cell];
    vport $cell $view $cmap $visual -maxu 30 -minu -30 -maxv 30 -minv -30;
}
