proc shape_cube {size} {
    list "{-$size -$size  $size} \
	  {-$size  $size  $size} \
	  {-$size  $size -$size} \
	  {-$size -$size -$size} \
	  { $size -$size -$size} \
	  { $size -$size  $size} \
	  { $size  $size  $size} \
	  { $size  $size -$size}" \
	 {{1 2 3 4 1} \
	  {8 7 6 5 8} \
	  {1 6 7 2 1} \
	  {3 8 5 4 3} \
	  {3 2 7 8 3} \
	  {1 4 5 6 1}}
}

proc mkcube {w l size args} {
    set shape [shape_cube $size];
    $w create poly $l \
	    -shading flat \
	    -vertices [lindex $shape 0] \
	    -surfaces [lindex $shape 1];

    if {$args != ""} {
	eval "$w modelconfigure $l $args"
    }
}
